Metacat - Task #5928
Feature # 5810 (Closed): Implement SOLR-based search

Make sure to start metacat-index web apps when the metacat web apps is start-up during the tomcat
startup

04/30/2013 02:35 PM - Jing Tao

Status: Closed Start date: 04/30/2013
Priority: Normal Due date:

Assignee: Jing Tao % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 21.0 Spent time: 0.00 hour
Description

Metacat-index will use the distribute system metadata map from the metacat during the startup. So we need to make sure that the
metacat web apps is ready when the metacat-index is started.

History

#1 - 04/30/2013 02:35 PM - Jing Tao
- Assignee set to Jing Tao

- Target version set to 2.1.0

#2 - 05/01/2013 02:22 PM - Jing Tao
- Parent task set to #5810

#3 - 05/17/2013 10:52 AM - ben leinfelder

Is there a way to tell Tomcat which order to load the webapps? | have seen some errors on mn-demo-4 when metacat-index.war is loaded before
knb.war (cannot connect to Hazelcast) so this is definitely something to consider. We may need to have Metacat call something in metacat-index to
start the listeners and initialize the indexing application.

#4 - 05/22/2013 11:23 AM - Jing Tao

- Status changed from New to Closed

Added the mechanism to wait some time if the MNode or the Hazelcast is not ready. We also add a maximum attempt control for waiting. If the
attempts exceed the maximum number, the regenerating process will stop.

Both the waiting time and maximum attempts can be read from the metacat.properties.
